# module RSS::Utils::ExplicitCleanOther

### Public Instance Methods

parse(value) click to toggle source

    # File lib/rss/utils.rb, line 130
    def parse(value)
      if [true, false, nil].include?(value)
        value
      else
        case value.to_s
        when /\Aexplicit|yes|true\z/i
          true
        when /\Aclean|no|false\z/i
          false
        else
          nil
        end
      end
    end